## Get IP Overview `client.intel.ips.get(IPGetParamsparams, RequestOptionsoptions?): IPGetResponse | null` **get** `/accounts/{account_id}/intel/ip` Gets the geolocation, ASN, infrastructure type of the ASN, and any security threat categories of an IP address. **Must provide ip query parameters.** For example, `/intel/ip?ipv4=1.1.1.1` or `/intel/ip?ipv6=2001:db8::1`. ### Parameters - `params: IPGetParams` - `account_id: string` Path param: Identifier. - `ipv4?: string` Query param - `ipv6?: string` Query param ### Returns - `IPGetResponse = Array | null` - `belongs_to_ref?: BelongsToRef` Specifies a reference to the autonomous systems (AS) that the IP address belongs to. - `id?: string` - `country?: string` - `description?: string` - `type?: "hosting_provider" | "isp" | "organization"` Infrastructure type of this ASN. - `"hosting_provider"` - `"isp"` - `"organization"` - `value?: string` - `ip?: string` - `risk_types?: Array` - `id?: number` - `name?: string` - `super_category_id?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const ips = await client.intel.ips.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(ips); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "belongs_to_ref": { "id": "autonomous-system--2fa28d71-3549-5a38-af05-770b79ad6ea8", "country": "US", "description": "CLOUDFLARENET", "type": "hosting_provider", "value": "value" }, "ip": "192.0.2.0", "risk_types": [ { "id": 131, "name": "Phishing", "super_category_id": 21 } ] } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```